package com.usky.dxtop.controller.web.business;


import com.usky.dxtop.common.core.domain.ApiResult;
import com.usky.dxtop.model.DreOrderDetail;
import com.usky.dxtop.service.DreOrderDetailService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import org.springframework.stereotype.Controller;

import java.util.List;

/**
 * 餐品订单详情
 * @author yq
 * @since 2022-08-14
 */
@RestController
@RequestMapping("/dreOrderDetail")
public class DreOrderDetailController {


    @Autowired
    private DreOrderDetailService dreOrderDetailService;


    /**
     * 订单餐品集合
     * @param orderId
     * @return
     */
    @GetMapping("/listByOrder")
    public ApiResult<List<DreOrderDetail>> listByOrder(@RequestParam Long orderId){
        return ApiResult.success(dreOrderDetailService.list(orderId));
    }
}

