package com.usky.dxtop.service.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.math.BigDecimal;

/**
 * @author yq
 * @date 2022/8/14 13:16
 */
@Data
public class DreMenuFileVO {

    /**
     * 餐别
     */
    @Excel(name = "餐别",width = 14)
    @NotBlank(message = "[餐别]不能为空")
    private String type;

    /**
     * 名称
     */
    @Excel(name = "名称",width = 14)
    @NotBlank(message = "[名称]不能为空")
    private String name;

    /**
     * 单价
     */
    @Excel(name = "单价",width = 14)
    @NotBlank(message = "[单价]不能为空")
    private BigDecimal price;

    /**
     * 是否推荐0否1是
     */
    @Excel(name = "是否推荐(0否1是)",width = 14)
    @NotBlank(message = "[是否推荐]不能为空")
    private Integer isRecommend;
}
