package com.usky.dxtop.service.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalTime;
import java.util.Date;
import java.util.List;

/**
 * @author yq
 * @date 2022/7/7 15:38
 */
@Data
public class ProductInfoExport {

    /**
     * 主键
     */
    @Excel(name = "序号", height = 6, width = 20)
    private Long id;

    /**
     * 商品名称
     */
    @Excel(name = "商品名称", height = 6, width = 20)
    private String productName;

    /**
     * 商品类别编号
     */
    @Excel(name = "商品类别编号", height = 6, width = 20)
    private Long productTypeId;

    /**
     * 开始时间
     */
    @Excel(name = "开始时间", height = 6, width = 20)
    private LocalTime startTime;

    /**
     * 结束时间
     */
    @Excel(name = "结束时间", height = 6, width = 20)
    private LocalTime endTime;
    /**
     * 费浦设备类型编号
     */
    @Excel(name = "费浦设备编号", height = 6, width = 20)
    private String fpDeviceId;

    /**
     * 单价
     */
    @Excel(name = "商品单价", height = 6, width = 20)
    private BigDecimal productPrice;

    /**
     * 重复周期
     */
    @Excel(name = "重复周期", height = 6, width = 20)
    private String repetitionCysles;

    /**
     * 是否有效
     */
    @Excel(name = "是否有效", height = 6, width = 20)
    private Long status;

    @Excel(name = "创建时间", height = 6, width = 20)
    private Date createTime;

    /**
     * 创建人
     */
    @Excel(name = "创建人", height = 6, width = 20)
    private String createBy;

    @Excel(name = "修改人", height = 6, width = 20)
    private String updateBy;

    @Excel(name = "修改时间", height = 6, width = 20)
    private Date updateTime;

    @Excel(name = "商品类别名称", height = 6, width = 20)
    private String productTypeName;
}
