package com.usky.dxtop.service.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalTime;
import java.util.Date;

/**
 * @author yq
 * @date 2022/7/7 15:42
 */
@Data
public class ProductOrderExport {



    /**
     * 主键id
     */
    @Excel(name = "序号", height = 6, width = 20)
    private Long id;

    /**
     * 订单编号
     */
    @Excel(name = "订单编号", height = 6, width = 20)
    private String orderNumber;

    /**
     * tOrder订单编号
     */
    @Excel(name = "退订订单编号", height = 6, width = 20)
    private String tOrderNumber;

    /**
     * 商品名称
     */
    @Excel(name = "商品名称", height = 6, width = 20)
    private String productName;

    /**
     * 商品详情编号
     */
    @Excel(name = "商品详情编号", height = 6, width = 20)
    private Long productInfoId;

    /**
     * 商品类型名称
     */
    @Excel(name = "商品类别名称", height = 6, width = 20)
    private String productTypeName;

    /**
     * 商品类型编号
     */
    @Excel(name = "商品类别编号", height = 6, width = 20)
    private Long productTypeId;

    /**
     * 订单状态
     */
    @Excel(name = "订单状态", height = 6, width = 20)
    private Integer orderFlag;

    /**
     * 用户编号
     */
    @Excel(name = "用户编号", height = 6, width = 20)
    private Long userId;

    /**
     * 用户名称
     */
    @Excel(name = "用户名称", height = 6, width = 20)
    private String userName;

    /**
     * 订单金额
     */
    @Excel(name = "订单金额", height = 6, width = 20)
    private BigDecimal orderMoney;

    /**
     * 用户手机号
     */
    @Excel(name = "手机号", height = 6, width = 20)
    private String userPhone;
    /**
     * 费浦用户编号
     */
    @Excel(name = "费浦用户编号", height = 6, width = 20)
    private String userCode;
    /**
     * 卡号
     */
    @Excel(name = "卡号", height = 6, width = 20)
    private String card;
    /**
     * 预约时间
     */
    @Excel(name = "预约时间", height = 6, width = 20)
    private Date appointmentTime;

    /**
     * 费浦设备类型编号
     */
    @Excel(name = "费浦门禁编号", height = 6, width = 20)
    private String fpDeviceId;

    /**
     * 开始时间
     */
    @Excel(name = "开始时间", height = 6, width = 20)
    private LocalTime startTime;

    /**
     * 结束时间
     */
    @Excel(name = "结束时间", height = 6, width = 20)
    private LocalTime endTime;

    @Excel(name = "创建时间", height = 6, width = 20)
    private Date createTime;

    /**
     * 创建人
     */
    @Excel(name = "创建人", height = 6, width = 20)
    private String createBy;

    @Excel(name = "修改人", height = 6, width = 20)
    private String updateBy;

    @Excel(name = "修改时间", height = 6, width = 20)
    private Date updateTime;
}
