package com.usky.dxtop.controller.web.business;

import com.alibaba.fastjson.JSONObject;
import com.usky.dxtop.common.utils.http.HttpUtils;
import com.usky.dxtop.model.Order;
import com.usky.dxtop.model.Staff;
import com.usky.dxtop.service.OrderService;
import com.usky.dxtop.service.StaffService;
import com.usky.dxtop.service.api.OneCardApi;
import com.usky.dxtop.service.api.SmApi;
import com.usky.dxtop.service.job.CardDishJob;
import com.usky.dxtop.service.job.FpJob;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.Map;
import java.util.TreeMap;

@RestController
@RequestMapping("/test")
public class TestController {



    @Autowired
    private StaffService staffService;

    @Autowired
    private OrderService orderService;


    @Autowired
    private FpJob fpJob;

    @Autowired
    private CardDishJob cardDishJob;
    @RequestMapping("/get1")
    public void get1(){
        cardDishJob.execute(null);
    }


    @RequestMapping("/get2")
    public void get2(){
        fpJob.execute(null);
    }
}


