package com.usky.dxtop.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.usky.dxtop.model.DreUser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.usky.dxtop.model.Staff;
import com.usky.dxtop.service.vo.DreUserVO;
import org.apache.ibatis.annotations.Param;

import java.util.Date;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author yq
 * @since 2022-08-15
 */
public interface DreUserMapper extends BaseMapper<DreUser> {

    Page<DreUserVO> page(IPage<DreUserVO> page,
                         @Param("name") String name,
                         @Param("isSend") Boolean isSend);
}
