package com.usky.dxtop.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.usky.dxtop.model.ProductInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.usky.dxtop.service.vo.ProductInfoRequest;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 商品详情 Mapper 接口
 * </p>
 *
 * @author yq
 * @since 2022-07-05
 */
public interface ProductInfoMapper extends BaseMapper<ProductInfo> {



    Page<ProductInfo> page(IPage<ProductInfo> page, @Param("ar")ProductInfoRequest productInfoRequest);

    int checkTime(ProductInfo productInfo);
}
